# For Haskell Packaging Guidelines see:
# - https://fedoraproject.org/wiki/Packaging:Haskell
# - https://fedoraproject.org/wiki/PackagingDrafts/Haskell

%global pkg_name transformers

%global common_summary Concrete functor and monad transformers

%global common_description This part contains the monad transformer class, the concrete \
monad transformers, operations and liftings. It can be used \
on its own in Haskell 98 code, or with the monad classes in \
the monads-fd or monads-tf packages, which automatically \
lift operations introduced by monad transformers through \
other transformers.

Name:           ghc-%{pkg_name}
Version:        0.2.2.0
Release:        11%{?dist}
Summary:        %{common_summary}

Group:          System Environment/Libraries
License:        BSD
# BEGIN: cabal2spec-0.24
URL:            http://hackage.haskell.org/package/%{pkg_name}
Source0:        http://hackage.haskell.org/packages/archive/%{pkg_name}/%{version}/%{pkg_name}-%{version}.tar.gz
ExclusiveArch:  %{ghc_arches}
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  hscolour
# END: cabal2spec-0.24

%description
%{common_description}


%package -n ghc-%{pkg_name}-devel
Summary:        Development files for %{common_summary}
Group:          Development/Libraries
# BEGIN: cabal2spec-0.24
%{?ghc_devel_requires}
Obsoletes:      ghc-%{pkg_name}-prof < %{version}-%{release}
Provides:       ghc-%{pkg_name}-prof = %{version}-%{release}
# END: cabal2spec-0.24

%description -n ghc-%{pkg_name}-devel
%{common_description}

This package contains the development files.


%prep
%setup -q -n %{pkg_name}-%{version}


%build
%ghc_lib_build


%install
%ghc_lib_install


%post -n ghc-%{pkg_name}-devel
%ghc_pkg_recache

%postun -n ghc-%{pkg_name}-devel
%ghc_pkg_recache


%if %{undefined ghc_without_shared}
%files -n ghc-%{pkg_name} -f ghc-%{pkg_name}.files
%defattr(-,root,root,-)
%endif

%files -n ghc-%{pkg_name}-devel -f ghc-%{pkg_name}-devel.files
%defattr(-,root,root,-)


%changelog
* Sat Jul 09 2011 Ben Boeckel <mathstuf@gmail.com> - 0.2.2.0-11
- Update to cabal2spec-0.24

* Tue Jun 21 2011 Jens Petersen <petersen@redhat.com> - 0.2.2.0-10
- ghc_arches replaces ghc_excluded_archs

* Sun Jun 19 2011 Jens Petersen <petersen@redhat.com> - 0.2.2.0-9
- BR ghc-Cabal-devel and ghc-base-prof, instead of ghc-prof

* Fri May 27 2011 Jens Petersen <petersen@redhat.com> - 0.2.2.0-8
- update to cabal2spec-0.23

* Thu May 05 2011 Jiri Skala <jskala@redhat.com> - 0.2.2.0-7
- Enable build on ppc64

* Thu Mar 10 2011 Fabio M. Di Nitto <fdinitto@redhat.com> - 0.2.2.0-6
- Enable build on sparcv9

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.2.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jan 14 2011 Jens Petersen <petersen@redhat.com>
- update to cabal2spec-0.22.4

* Sat Jan  8 2011 Jochen Schmitt <Jochen herr-schmitt de> - 0.2.2.0-4
- Rebuild to fix dependencies issues

* Thu Nov 25 2010 Jens Petersen <petersen@redhat.com> - 0.2.2.0-3
- rebuild with ghc-7.0.1

* Sun Nov 07 2010 Ben Boeckel <mathstuf@gmail.com> - 0.2.2.0-2
- Rebuild

* Sat Oct 30 2010 Ben Boeckel <mathstuf@gmail.com> - 0.2.2.0-1
- Update to 0.2.2.0

* Sat Sep 04 2010 Ben Boeckel <mathstuf@gmail.com> - 0.2.1.0-1
- Initial package

* Sat Sep  4 2010 Fedora Haskell SIG <haskell-devel@lists.fedoraproject.org> - 0.2.1.0-0
- initial packaging for Fedora automatically generated by cabal2spec-0.22.2
